summaryrefslogtreecommitdiffstats
path: root/snapcraft/scripts/zebra-service
diff options
context:
space:
mode:
Diffstat (limited to 'snapcraft/scripts/zebra-service')
-rw-r--r--snapcraft/scripts/zebra-service20
1 files changed, 20 insertions, 0 deletions
diff --git a/snapcraft/scripts/zebra-service b/snapcraft/scripts/zebra-service
new file mode 100644
index 0000000..2ee131f
--- /dev/null
+++ b/snapcraft/scripts/zebra-service
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e -x
+
+if ! [ -e $SNAP_DATA/zebra.conf ]; then
+ cp $SNAP/etc/frr/zebra.conf.default $SNAP_DATA/zebra.conf
+fi
+if ! [ -e $SNAP_DATA/vtysh.conf ]; then
+ cp $SNAP/etc/frr/vtysh.conf.default $SNAP_DATA/vtysh.conf
+fi
+EXTRA_OPTIONS=""
+if [ -e $SNAP_DATA/fpm.conf ]; then
+ EXTRA_OPTIONS="`cat $SNAP_DATA/fpm.conf`"
+fi
+exec $SNAP/sbin/zebra \
+ -f $SNAP_DATA/zebra.conf \
+ --pid_file $SNAP_DATA/zebra.pid \
+ --socket $SNAP_DATA/zsock \
+ --vty_socket $SNAP_DATA \
+ --moduledir $SNAP/lib/frr/modules $EXTRA_OPTIONS